# Interface Params

插件初始化参数

interface Params {
config: Partial<PluginTemplateType.Config>;
initialState?: Partial<PluginTemplateType.State>;
}

- Defined in lib/plugins/TrajectoryPlugin/typing.ts:15

##### Index

### Properties

config
initialState?

## Properties

### config

config: Partial<PluginTemplateType.Config>

- Defined in lib/plugins/TrajectoryPlugin/typing.ts:16

### `Optional` initialState

initialState?: Partial<PluginTemplateType.State>

- Defined in lib/plugins/TrajectoryPlugin/typing.ts:17